## lirc-0.8.0.tar.bz2

=== debian/modules-source/Makefile ===
include /etc/lirc/lirc-modules-source.conf

# An space should be left at the end of each CFLAGS variable for the
# sanity-check to work.
IT87_CFLAGS     := $(subst ",,$(LIRC_IT87_CFLAGS) )
PARALLEL_CFLAGS	:= $(subst ",,-DLIRC_PORT=$(LIRC_PARALLEL_PORT) \
				-DLIRC_TIMER=$(LIRC_PARALLEL_TIMER) \
				-DLIRC_IRQ=$(LIRC_PARALLEL_IRQ) )
SERIAL_CFLAGS   := $(subst ",,$(LIRC_SERIAL_CFLAGS) \
				-DLIRC_PORT=$(LIRC_SERIAL_PORT) \
				-DLIRC_IRQ=$(LIRC_SERIAL_IRQ) ) 
SIR_CFLAGS		:= $(subst ",,$(LIRC_SIR_CFLAGS) \
				-DLIRC_PORT=$(LIRC_SIR_PORT) \
				-DLIRC_IRQ=$(LIRC_SIR_IRQ) )

KSRC=/usr/src/linux/$(shell uname -r)/build
KERNEL_LOCATION = $(KSRC)
CC = gcc -D__KERNEL__ -I $(KSRC)/include
CFLAGS= -O2 -g -Wall
DEFS=-DHAVE_CONFIG_H -I. -I../..

KVERS=$(shell sed -n -e '/UTS_RELEASE/s/^[^"]*"\([^"]*\)".*$\/\1/p' $(KSRC)/include/linux/version.h)
KPATCHLEVEL=$(shell echo $(KVERS) | sed -n -e 's/^[0-9]*\.\([0-9]*\)\..*/\1/p')

KEXT=o
ifeq ($(KPATCHLEVEL),6)
KEXT=ko
endif


export KERNEL_LOCATION CC

all: atiusb, bt829, cmdir, gpio, i2c, igorplugusb, imon, it87, mceusb, mceusb2, parallel, sasem, serial, sir, streamzap

test:
	@echo '$(IT87_CFLAGS)'
	@echo '$(PARALLEL_CFLAGS)'
	@echo '$(LIRC_SERIAL_IRQ)'
	@echo '$(LIRC_SIR_IRQ)'
	@echo '$(LIRC_PARALLEL_IRQ)'
	@echo '$(SERIAL_CFLAGS)'
	@echo '$(SIR_CFLAGS)'

UNCONFIGURED: #Do nothing if the user didn't configure which drivers to build

debconf: $(subst ", ,$(LIRC_MODULES:,=))

modules:
	mkdir modules

sanity-check:
	@if \
		expr "$(DEFS)" : '.* -DLIRC_IRQ= ' > /dev/null\
		|| expr "$(DEFS)" : '.* -DLIRC_PORT= ' > /dev/null \
		|| expr "$(DEFS)" : '.* -DLIRC_TIMER= '> /dev/null \
		|| expr "$(DEFS)" : '.*UNCONFIGURED'> /dev/null;\
	then \
		echo ;\
		echo "##########################";\
		echo "## CONFIGURATION ERROR: ##";\
		echo "##########################";\
		echo ;\
		echo "You should reconfigure lirc-modules-source and make";\
		echo "sure you don't leave blank any one of IRQ, IO Port or ";\
		echo "Timer (parallel only)";\
		echo ;\
		echo "Hint1: use \"dpkg-reconfigure lirc-modules-source\"";\
		echo "Hint2: If you selected \"automagical\" configuration of";\
		echo "	kernel modules you should probably reconfigure lirc";\
		echo "	instead.";\
		echo "Hint3: you may instead edit /etc/lirc/lirc-modules-source.conf";\
		exit 1;\
	fi

dev: modules sanity-check
	$(MAKE) -C drivers SUBDIRS="lirc_dev"
	cp drivers/lirc_dev/lirc_dev.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_dev.$(KEXT).KVERS

atiusb: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_atiusb"
	cp drivers/lirc_atiusb/lirc_atiusb.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_atiusb.$(KEXT).KVERS

bt829: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_bt829"
	cp drivers/lirc_bt829/lirc_bt829.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_bt829.$(KEXT).KVERS

cmdir: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_cmdir"
	cp drivers/lirc_cmdir/lirc_cmdir.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_cmdir.$(KEXT).KVERS

gpio: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_gpio"
	cp drivers/lirc_gpio/lirc_gpio.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_gpio.$(KEXT).KVERS

i2c: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_i2c"
	cp drivers/lirc_i2c/lirc_i2c.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_i2c.$(KEXT).KVERS

igorplugusb: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_igorplugusb"
	cp drivers/lirc_igorplugusb/lirc_igorplugusb.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_igorplugusb.$(KEXT).KVERS

imon: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_imon"
	cp drivers/lirc_imon/lirc_imon.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_imon.$(KEXT).KVERS

it87: DEFS += $(IT87_CFLAGS)
it87: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_it87" DEFS="$(DEFS)"
	cp drivers/lirc_it87/lirc_it87.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_it87.$(KEXT).KVERS

mceusb: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_mceusb"
	cp drivers/lirc_mceusb/lirc_mceusb.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_mceusb.$(KEXT).KVERS

mceusb2: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_mceusb2"
	cp drivers/lirc_mceusb2/lirc_mceusb2.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_mceusb2.$(KEXT).KVERS

parallel: DEFS += $(PARALLEL_CFLAGS)
parallel: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_parallel" DEFS="$(DEFS)"
	cp drivers/lirc_parallel/lirc_parallel.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_parallel.$(KEXT).KVERS

sasem: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_sasem"
	cp drivers/lirc_sasem/lirc_sasem.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_sasem.$(KEXT).KVERS

serial: DEFS += $(SERIAL_CFLAGS)
serial: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_serial" DEFS="$(DEFS)"
	cp drivers/lirc_serial/lirc_serial.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_serial.$(KEXT).KVERS

sir: DEFS += $(SIR_CFLAGS)
sir: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_sir" DEFS="$(DEFS)"
	cp drivers/lirc_sir/lirc_sir.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_sir.$(KEXT).KVERS

streamzap: modules sanity-check dev
	$(MAKE) -C drivers SUBDIRS="lirc_streamzap"
	cp drivers/lirc_streamzap/lirc_streamzap.$(KEXT) modules
	@echo $(KVERS) $(KSRC) > modules/lirc_streamzap.$(KEXT).KVERS

install:
	@for file in modules/*.$(KEXT); \
	do \
		kvers=`cut -d" " -f1 $$file.KVERS` && \
		ksrc=`cut -d" " -f2 $$file.KVERS` && \
		dir="$(prefix)/lib/modules/$$kvers/misc/" && \
		( [ -d $$dir ] || mkdir -p $$dir ) && \
		cp -v $$file $$dir ; \
	done
depmod:
	@for file in modules/*.$(KEXT); \
	do \
		kvers=`cut -d" " -f1 $$file.KVERS` && \
		ksrc=`cut -d" " -f2 $$file.KVERS` && \
		dir="$(prefix)/lib/modules/$$kvers/misc/" && \
		if [ -f $$ksrc/System.map ];then \
			/sbin/depmod -r -b $(prefix)/ -a $$kvers \
					-F $$ksrc/System.map ; \
		elif [ -f /boot/System.map-$$kvers ];then \
			/sbin/depmod -r -b $(prefix)/ -a $$kvers \
					-F /boot/System.map-$$kvers; \
		else \
			/sbin/depmod -a ;\
		fi ;\
	done

clean:
	$(MAKE) clean -C drivers SUBDIRS="lirc_serial lirc_parallel lirc_i2c lirc_sir lirc_dev lirc_gpio lirc_it87 lirc_bt829 lirc_atiusb"
	rm -rf modules

=== debian/changelog ===
lirc (0.8.0-9.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #399304
    - Galician. Closes: #407277
    - Swedish. Closes: #408289
    - Spanish. Closes: #393864

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Feb 2007 18:05:06 +0100

lirc (0.8.0-9.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #399304
    - Galician. Closes: #407277
    - Swedish. Closes: #408289
    - Spanish. Closes: #393864

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Feb 2007 18:01:54 +0100

lirc (0.8.0-9) unstable; urgency=low

  * Rebuilding to fix and erroneous depend. (Closes: #393316, #393297, #393351)

 -- Hector Garcia <hector@debian.org>  Mon, 16 Oct 2006 11:18:21 +0200

lirc (0.8.0-8) unstable; urgency=low

  [ Hector Garcia ]
  * Added 09_lirc_drivers_2.6.18_compatibility patch by Thomas Creutz
    (Closes: #387715)
  * Fixed 03_extra_files to support 2.6.17 and 2.6.18. By Thomas Creutz
    (Closes: #387715, #378395)
  * Updated cs.po by Miroslav Jezbera. (Closes: #389248)
  * Added patch to lirc_i2c from upstream CVS. By Jim Heck
  * Added patch 11_cheklib_fix to remove extra depends.
  * Updated po/es.po

  [ Amaya Rodrigo Sastre ]
  * Use debian/compat instead of DH_COMPAT=4 in debian/rules. Thanks Guillem
    Jover for pointing this out. 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 10 Oct 2006 10:31:48 +0200

lirc (0.8.0-7) unstable; urgency=low

  * Update french debconf template (Closes: #384619)
  * Update logcheck file (Closes: #385025)

 -- Julien Danjou <acid@debian.org>  Mon, 18 Sep 2006 14:00:57 +0200

lirc (0.8.0-6) unstable; urgency=low

  [ Amaya Rodrigo Sastre ]
  * Added debconf templates translation update:
    - French (Closes: #370479).
    - Portuguese (Closes: #373129).
    - Dutch (Closes: #373828).
    - Japanese (Closes: #379937).
  * Use DH_COMPAT=4 in debian/rules. Got rid of debian/compat.
  * Added debconf-updatepo to de debian/rules clean target (Closes: 372911).

  [ Hector Garcia ]
  * Updated debian/patches/04_man_pages.dpatch

 -- Hector Garcia <hector@debian.org>  Fri, 18 Aug 2006 22:23:46 +0200

lirc (0.8.0-5) unstable; urgency=low

  [ Aurelien Jarno ]
  * debian/modules-source/debian/rules: simplify the call to
    dpkg-architecture.
  * debian/modules-source/debian/rules: take account of old dpkg-architecture
    output.  (Closes: #371050).
  * debian/control: Recommends dpkg-dev (>= 1.13). Drop the recommends on
    dpkg (>= 1.13).

  [ Julien Danjou ]
  * Don't create udev queue in init script (Closes: #370745)

 -- Julien Danjou <acid@debian.org>  Sun, 11 Jun 2006 14:18:07 +0200

lirc (0.8.0-4) unstable; urgency=low

  * Wait for devices to be up using udevsettle (Closes: #362217)
  * Updated dutch po-debconf translation (Closes: #370218)
  * Fix lintian warning about lirc and lirc-modules-source templates

 -- Julien Danjou <acid@debian.org>  Sun,  4 Jun 2006 16:44:13 +0200

lirc (0.8.0-3) unstable; urgency=low

  [ Cyril Lacoux ]
  * Added 08_min_code_repeat.dpatch, to allow proper interpretation of repeat
    signals for Creative RM-900 (Closes: #367521).

  [ Aurelien Jarno ]
  * Updated German debconf templates translation. Thanks to Franz Pletz
   (Closes: #367874).

 -- Julien Danjou <acid@debian.org>  Tue, 23 May 2006 11:01:08 +0200

lirc (0.8.0-2) unstable; urgency=low

  [ Julien Danjou ]
  * Include etc/lirc in lirc-modules-source.dirs (Closes: #342568)
  * Fix compilation for non-root users (Closes: #297170)

  [ Aurelien Jarno ]
  * Updated German debconf templates translation. Thanks to Franz Pletz
    (Closes: #367274).
  * Fixed typos in debconf templates (Closes: #312498).

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 12:45:59 +0200

lirc (0.8.0-1) experimental; urgency=low

  [ Hector Garcia ]
  * New upstream release. (Closes: #349641, #352573)
    - Added support up to for 2.6.15 kernels.
    - dvico driver is enabled by default (Closes: #348753)
  * Removed 02_aclocal.dpatch, not needed anymore.
  * Ported 04_man_pages to this release.
  * Ported 01_irxevent.dpatch to this release.
  * Changed with-drivers to userspace to build only the userspace drivers
    and keep only the kernel-space on the modules package.
  * Added 02_Makefile.in.dpatch, to prevent autotools from getting run on
    every build.
  * Recompile with driver=userspace (Closes: #352767, #351723, #348390)

  [ Julien Danjou ]
  * Add lirc_dev dependency to it87
  * Fix build-depends on libsvga1-dev rather than svgalibg1-dev
    (Closes: #350791)
  * Add lircrcd
  * Add a patch to allow some drivers to compile with linux 2.6.16
  * Add patches from Cyril Lacoux <clacoux@easter-eggs.com>
    - Compile all modules
    - Support 2 flavors for it87 (standard/digimatrix)
    - Improve debconf template
    - module-assistant works fine
    - Add missing files for gpio

  [ Aurelien Jarno ]
  * Added Swedish debconf templates translation. Thanks to Daniel Nylander
    (Closes: #339544)
  * Added Dutch debconf templates translation. Thanks to Kurt De Bree
    (Closes: #364033)
  * Enable lirc-svga on amd64.
  * Added support for non-Linux architectures:
    - Don't build-depends on libasound2-dev on hurd-i386, kfreebsd-i386 and
      kfreebsd-amd64.
    - Added 05_non_linux.dpatch, to make lirc buildable on non-Linux
      architectures.
    - Added 06_libtool_kfreebsd.dpatch, to update libtool for GNU/kFreeBSD.
  * Changed lirc-modules-source from Arch: any to Arch: all.

 -- Julien Danjou <acid@debian.org>  Wed, 10 May 2006 13:40:57 +0200

lirc (0.7.2-2) unstable; urgency=low

  * Ready for unstable.

 -- Hector Garcia <hector@debian.org>  Sun, 15 Jan 2006 03:58:59 +0100

lirc (0.7.2-1) experimental; urgency=low

  * New upstream release. (Closes: #310133)
    - support for KeySym and KeyCode in key definition
    - updated udev support for 2.6.13 kernels


=== debian/control ===
Source: lirc
Section: utils
Priority: extra
Maintainer: lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5), libusb-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libice-dev, libsm-dev, libx11-dev, libsvga1-dev [i386 amd64], libirman-dev, autotools-dev, devscripts, dpatch, libxt-dev, po-debconf
Standards-Version: 3.7.2
Uploaders: Hector Garcia <hector@debian.org>, Julien Danjou <acid@debian.org>, Aurelien Jarno <aurel32@debian.org>, Amaya Rodrigo Sastre <amaya@debian.org>

Package: lirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dialog
Suggests: lirc-modules-source, lirc-x, lirc-svga
Description: Linux Infra-red Remote Control support
 This package provides the daemons and some utilities to support infra-red
 remote controls under Linux.

Package: lirc-x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lirc (= ${Source-Version})
Replaces: lirc (<< 0.6.4-8)
Recommends: xfonts-75dpi
Description: Linux Infra-red Remote Control support (X dependent parts)
 This package provides those parts of lirc which depend on the XWindow system.
 .
 Currently:
 .
 irxevent: Allows you to control your X applications with your remote control.
 .
 xmode2: shows the IR waveform of the remote controller without an expensive
 oscilloscope (through an X window). This is not needed for TV cards or the
 Irman.
 .
 You ***MUST*** <--- (really!) have the xfonts-75dpi package available on the
 X server, whether via files or via a font server like xfs. The lirc-x package
 only Recommends: these packages because it's possible to have them served
 remotely, but you really should install them. :)

Package: lirc-svga
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, lirc (= ${Source-Version})
Replaces: lirc (<< 0.6.4-8)
Description: Linux Infra-red Remote Control support (svgalib dependent parts)
 This package provides those parts of lirc which depend on svgalib .
 .
 Currently:
 .
 smode2: shows the IR waveform of the remote controller without an expensive
 oscilloscope (through svgalib). This is not needed for TV cards or the Irman.

Package: lirc-modules-source
Architecture: all
Depends: ${misc:Depends}, debianutils (>= 1.7), debhelper (>= 4), ucf
Recommends: make, dpkg-dev (>= 1.13), gcc | c-compiler, kernel-package
Suggests: kernel-source 
Conflicts: lirc (<<0.6.3-1)
Description: Linux Infra-red Remote Control support (kernel modules)
 This package provides the source for the kernel modules to support
 infra-red remote controls under Linux.
 .
 Please note that the kernel sources must be installed to compile these
 modules.

Package: liblircclient-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, liblircclient0 (= ${Source-Version}), libc6-dev
Description: development files for LIRC client library
 This package contains the static library and headers for
 the LIRC client library.
 .
 LIRC is Linux Infra-red Remote Control support.

Package: liblircclient0
Priority: optional
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lirc
Description: LIRC client library
 This library provides functions so that other programs (eg xawtv)
 can support remote controls via LIRC.

=== debian/modules-source/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

VERS = $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC            = /usr/src/linux

# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
KDREV           = "Custom.1.00"

# Separate the epoch from the normal revision number in KDREV
# for use with dh_gencontrol
KDREV_EPOCH = $(shell echo $(KDREV) | sed -ne '1s/\([^:]*:\)\?\(.*\)/\1/p')
KDREV_REV   = $(shell echo $(KDREV) | sed -ne '1s/\([^:]*:\)\?\(.*\)/\2/p')

# Now we need to get the kernel-version somehow
KVERS=`sed -n -e '/UTS_RELEASE/s/^[^"]*"\([^"]*\)".*$$/\1/p' $(KSRC)/include/linux/version.h`

KARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
ifeq ($(KARCH),)
  KARCH := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(KARCH),x86_64)
    KARCH := amd64
  endif
endif

SED_SCRIPT=s!\$$KVERS!$(KVERS)!g; \
       s!\$$KSRC!$(KSRC)!; \
       s!\$$KARCH!$(KARCH)!; \
       s!\$$KEMAIL!$(KEMAIL)!; \
       s!\$$KMAINT!$(KMAINT)!; \
       s!\$$KDREV!$(KDREV)!; \
       s!\$$DEBDATE!$(shell date +"%a, %d %b %Y %H:%M:%S %z")!

debian/control: debian/control.in
	sed -e "$(SED_SCRIPT)" debian/control.in > $@

.PHONY: debian/control


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: debian/control configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) debconf
	#/usr/bin/docbook-to-man debian/lirc-modules.sgml > lirc-modules.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

	rm -f debian/control

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lirc-modules.
	$(MAKE) install prefix=$(CURDIR)/debian/lirc-modules-$(KVERS)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installmodules
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol -- -v$(KDREV_EPOCH)$(VERS)+$(KDREV_REV)
	dh_md5sums
	dh_builddeb --destdir=$(KSRC)/..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

binary-modules: binary
kdist_image: debian/rules
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules clean
kdist_clean: debian/control
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules clean
kdist_configure:
#	Nothing to do when configured.


.PHONY: binary-modules kdist_image

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# dpatch support
include /usr/share/dpatch/dpatch.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=0.0.0
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


clean: unpatch
	dh_testdir
	dh_testroot
	rm -f debian/po/messages.mo
	rm -f configure-stamp build-stamp
	debconf-updatepo
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
#	rm -f tools/smode2 tools/smode2.o config.log config.status

	dh_clean

configure: patch configure-stamp 
configure-stamp:
	set -e
	dh_testdir

	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir=\$${prefix}/lib \
		--sysconfdir=/etc/lirc/ \
		--with-driver=userspace \
		--with-syslog=LOG_DAEMON \
		--enable-sandboxed

	touch configure-stamp

build: configure build-stamp
build-stamp: 
	set -e
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) CFLAGS="$(CFLAGS)"
	$(MAKE)
	#$(MAKE) smode2 -C tools

	touch build-stamp

install: build-stamp

	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lirc.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	#Rename 'rc' into 'irsend' to prevent clash with 'rc' package.
	#mv debian/tmp/usr/share/man/man1/rc.1 \
	#	debian/tmp/usr/share/man/man1/irsend.1
	#mv debian/tmp/usr/bin/rc debian/tmp/usr/bin/irsend

	install --mode=755 contrib/irman2lirc debian/tmp/usr/bin/

	#Allow building evenif vgalib is not available
	if [ -e tools/smode2 ]; then \
		install --mode=755 tools/smode2 debian/tmp/usr/bin/ ; \
	fi
	
	mkdir -p debian/tmp/etc/lirc/
	mkdir -p debian/tmp/usr/share/lirc/
	install --mode=644 debian/conf.placeholder  \
		debian/tmp/etc/lirc/lircd.conf
	install --mode=644 debian/conf.placeholder \
		debian/tmp/etc/lirc/lircmd.conf
	install --mode=644 debian/hardware.conf debian/tmp/etc/lirc/
	install --mode=644 debian/lirc-modules-source.conf \
		debian/tmp/usr/share/lirc/lirc-modules-source.conf.tpl
	#rm debian/lirc/usr/lib/liblirc_client.la
	mkdir -p debian/tmp/usr/src/modules/lirc
	cp -dpR drivers debian/tmp/usr/src/modules/lirc/
	#rm -f debian/tmp/usr/src/lirc/drivers/Makefile*
	find debian/tmp/usr/src/modules/lirc -name "*.o" -o -name Makefile.in \
		-o -name Makefile.am  -o -name "*.ko"| xargs rm
		
	for file in `find debian/tmp/usr/src/modules/lirc -name Makefile`; \
		do sed -e'/configure\.in/,/CONFIG_HEADERS/D' \
			-e'/^CC *=/d' -e '/^KERNEL_LOCATION *=/d' \
				$$file > $$file.tmp && \
			mv $$file.tmp $$file; \
		done

	#cp config.h debian/tmp/usr/src/modules/lirc/
	sed -n \
		-e'/define *DEV_LIRC\>/p' \
		-e'/define *LIRC_MAJOR\>/p' \
		config.h > debian/tmp/usr/src/modules/lirc/config.h
	cp -dpR debian/modules-source/* debian/tmp/usr/src/modules/lirc/
	chmod +x debian/tmp/usr/src/modules/lirc/debian/rules
	cp debian/changelog debian/copyright \
		debian/tmp/usr/src/modules/lirc/debian/
	mkdir -p debian/liblircclient-dev/usr/share/aclocal
	cp contrib/lirc.m4 debian/liblircclient-dev/usr/share/aclocal/

	#install logcheck files
	install -d debian/tmp/etc/logcheck/ignore.d.paranoid
	install -o root -g root -m 644 debian/logcheck.ignore \
			debian/tmp/etc/logcheck/ignore.d.paranoid/lirc
	install -d debian/tmp/etc/logcheck/ignore.d.server
	install -o root -g root -m 644 debian/logcheck.ignore \
			debian/tmp/etc/logcheck/ignore.d.server/lirc
	install -d debian/tmp/etc/logcheck/ignore.d.workstation
	install -o root -g root -m 644 debian/logcheck.ignore \
			debian/tmp/etc/logcheck/ignore.d.workstation/lirc

	install -d debian/tmp/etc/devfs/conf.d/
	install -o root -g root -m 644 debian/devfs.conf \
			debian/tmp/etc/devfs/conf.d/lirc	  
	install -d debian/tmp/etc/devfs/devices.d/
	install -o root -g root -m 644 debian/devfs.devices \
			debian/tmp/etc/devfs/devices.d/lirc


# Build architecture-independent files here.
binary-indep: build install
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp --list-missing
	cd debian/lirc-modules-source/usr/src/ && \
		tar czf lirc-modules.tar.gz modules && \
		rm -rf modules
	dh_installdebconf -plirc-modules-source
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s ChangeLog
	#
	# build liblirc${major} package by moving files from lirc-dev
	#
	#rm -fr debian/lirc/usr/include

	dh_installdocs -s
	cp -dpR doc/html doc/images doc/irxevent.keys \
					debian/lirc/usr/share/doc/lirc/
	mkdir debian/lirc/usr/share/lirc
	cp -dpR remotes  debian/lirc/usr/share/lirc/remotes
	dh_installexamples -s
	dh_install -s --sourcedir=debian/tmp --list-missing
	dh_installmenu -s
#	dh_installdebconf	
	dh_installdebconf -plirc
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -s --update-rcd-params="defaults 19"
	dh_installcron -s
	dh_installinfo -s
	dh_installmodules -s
#	dh_undocumented -s
	dh_installman -s
	@for i in lirc-x lirc-svga; \
	 do \
	 	rm -rf debian/$${i}/usr/share/doc/$${i} ;\
	done
	dh_link -s
	dh_strip -s
	dh_compress -s -X irxevent.keys
	dh_fixperms -s
#	dh_perl
#	dh_python
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install autotools
